SDL_SetRenderDrawBlendMode(3)

NAME
SDL_SetRenderDrawBlendMode - Set the blend mode used for drawing operations (Fill and Line).

HEADER FILE
Defined in SDL3/SDL_render.h

SYNOPSIS
#include "SDL3/SDL.h"

int SDL_SetRenderDrawBlendMode(SDL_Renderer *renderer, SDL_BlendMode blendMode);

DESCRIPTION
If the blend mode is not supported, the closest supported mode is chosen.

FUNCTION PARAMETERS

renderer
    the rendering context

blendMode
    the SDL_BlendMode
     to use for blending

RETURN VALUE
Returns 0 on success or a negative error code on failure; call SDL_GetError () for more information.

AVAILABILITY
This function is available since SDL 3.0.0.

SEE ALSO
SDL_GetRenderDrawBlendMode(3)